Bug 79484 - Request for more comprehensive GUI language setting options
Request for more comprehensive GUI language setting options
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-language (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-12-12 04:31 EST by Erik Anderson
Modified: 2007-04-18 12:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-16 10:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Erik Anderson 2002-12-12 04:31:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0.1) Gecko/20020823

Description of problem:
This may belong to a different component category, and if so my apologies.  

One issue I have run into that has also shown up on the mailing lists, is what
to do when you want input support for Japanese, but the menus and messages still
in English.  Or, for that matter, when you want to switch input support without
logging out.  There should be (oh no, the 's' word) some easier means of doing
this than the command line.  

Windoze has its decided down sides, but one thing it does quite well is
multilanguage support.  For example, I can easily input all of the CJK languages
into a single document without having to close any program or re-login, simply
through the use of the IME taskbar.  For that matter, any window capable of text
input can accept IME input (I have a hunch this particular bit may be
considerably more complex with *nix).  Menus and warnings are generated on the
basis of the default language setting, but input is run separately.  

I'm a newbie here, so forgive my naivete, but I don't think it would be all that
complicated to put some applet together that would fill this role.  This would
greatly improve usability in cross-lingual environments.   

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RH 8.0 with CJK support

Additional info:
Comment 1 Brent Fox 2002-12-16 10:55:44 EST
redhat-config-language provides an easy way to change the system language,
provided that you installed more than one language during system installation. 
If you only installed on language, then of course you will only have one
language to pick from.

The main drawback to this now is that you have to log out of your desktop and
log back in for the changes to take effect.  I would like for those changes to
take place immediately.  I also like your idea of the panel applet to allow the
user to change langs quickly.  

As far as input goes, input is a separate concept from language.  Just because
your menus are in Japanese doesn't mean that your input method is Japanese.  For
that, you need to run redhat-config-keyboard and select the Japanese keyboard. 
Unlike redhat-config-language, the keyboard change takes place immediately.  
However, a panel applet for this already exists in Gnome (I'm not sure about
KDE).  If you right-click in the Gnome panel and select Add to Panel -> Utility
-> Keyboard Layout Switcher, that may do what you're looking for.

There's no time to implement this feature request for redhat-config-language for
the next release, but I will consider it for future releases.  Deferring for now.
Comment 2 Erik Anderson 2002-12-16 20:13:58 EST
I'm not familiar with other input methods under RedHat, but for Japanese I use
Canna, and that does not require any change in the keyboard.  In fact, I use a
regular MS-compatible (with the little windows keys) English keyboard from the
US, no problems.  Changing to a Japanese keyboard would actually make things
very difficult.  (Or am I simply terribly mistaken and logging in to a Japanese
session already does this?) However, the only way I can GUI my way into using
Canna is to set the language to Japanese when I log in.  As such, all menus and
warnings are in Japanese as well.  I know there are command line tools to set
the menus to one language and input to another, but I suspect most potential end
users (office workstations, perhaps) are not the sort who would understand this
or have the time and / or patience to figure out how to set up a login script to
handle it.  

As a side issue (and this probably deserves its own bug report), would it be
possible to set up redhat-config-language so that you could install additional
languages after the initial install?  In fact, the doc materials for it seem to
suggest that this is already possible.  Windoze allows this; if you ask for a
language you haven't installed, it launches an installation script and asks you
to insert the cds.  
Comment 3 Brent Fox 2002-12-23 11:15:27 EST
Please see bug #80179 about adding a language after installation.  I don't think
there's a clean way to do this at the moment because of the way the translations
are stored inside each individual RPM.  

One option is for us to change the installer to always install all languages. 
That would take some extra hard drive space, but it's hard to get too worried
about hard drive space in the days of 100GB drives, especially when you consider
that the remedy to not installing a language is usually to reinstall.  Adding
language after install is a real pain.
Comment 4 Andreas Laestadius 2003-09-23 07:57:47 EDT
The issue described in the first post is not regarding changing your locale once
logged in, as one comment above implied, nor is it about whether to install
multiple locale packages after initial system install is completed. 
It is also not an issue of keybord settings. Changing your keyboard settings
does not (and sould not) change your input method.

What we need is a way to set the input method (i.e. japanese etc, provided the
proper input system is running) regardless of the local your settings have. 
Input method settings should be separate from local settings variables.

Also, ideally, you should be able to switch between inputmethods at will after
starting X. 

A feature like this would be much welcomed by many people (like me) who needs to
use asian language input methods but prefers to have menues etc in another locale.

Note You need to log in before you can comment on or make changes to this bug.